Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | Public Attributes | List of all members
ranges::detail::bind_back_fn_< Fn, Args > Struct Template Reference

## Public Types
using | tuple_t = std::tuple< Fn, Args... >

## Public Member Functions
template<typename... CallArgs>
constexpr invoke_result_t< Fn, CallArgs..., Args... > | operator() (CallArgs &&... cargs) &&noexcept(is_nothrow_invocable_v< Fn, CallArgs..., Args... >)
template<typename... CallArgs>
constexpr invoke_result_t< Fn &, CallArgs..., Args &... > | operator() (CallArgs &&... cargs) &noexcept(is_nothrow_invocable_v< Fn &, CallArgs..., Args &... >)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename... CallArgs>
constexpr invoke_result_t< Fn const &, CallArgs..., Args const &... > | operator() (CallArgs &&... cargs) const &noexcept(is_nothrow_invocable_v< Fn const &, CallArgs..., Args const &... >)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Public Attributes
tuple_t | fn_args_